<template>
    <div class="conventionContainer">
        <div class="leftColumn">
            <h4 class="font-bold text-xl">{{ conData.name }}</h4>
            <div class="rounded-md m-4 shadow-lg bannerBox">
                <img src="https://gfx.dlastudenta.pl/photos/wiadomosci/Remcon_2024_logo.jpg"/>
            </div>
            <button class="btn btn-primary">
                Dodaj do listy!
            </button>
            <div class="flex flex-row">
                <button>
                    Następna edycja
                </button>
                <button>
                    Poprzednia edycja
                </button>
            </div>
            <div class="rounded-md m-4 shadow-lg infoBox">
                <p v-if="conData.start_date">Data: {{ parseDate(conData.start_date) }}</p>
                <p>Lokalizacja: {{ conData.location || "wypizdowie" }}</p>
                <p>Organizator: nie wiem ale baza ludzie imo</p>
            </div>
            <div class="rounded-md m-4 shadow-lg linkBox">
                <a href="www.pajacyk.pl">pajacyk.pl</a> <br/>
                <a href="www.pajacyk.pl">pajacyk.pl</a> <br/>
                <a href="www.pajacyk.pl">pajacyk.pl</a> <br/>
            </div>
            <div class="rounded-md m-4 shadow-lg statBox">
                <p>
                    Liczba uczestników: 2138 <br/>
                    Liczba helperów: 2137
                </p>
            </div>
            <div class="rounded-md m-4 shadow-lg ticketBox">
                Cena biletu normalnego: jeden całusek w policzek prezesa
            </div>
        </div>
        <div class="rightColumn">
            <div class="rounded-md m-4 shadow-lg topRightColumnShortcuts">
                <button>Wiki</button>
                <button>Obrazy</button>
                <button>Posty</button>
            </div>
            <div class="rounded-md m-4 shadow-lg eventDesc">
                <h4>
                    {{ conData.description || "Jeszcze nie mamy dla was opisu tego konwentu, przepraszamy, pojawi się niedługo!" }}
                </h4>
            </div>
            <div class="rounded-md m-4 shadow-lg userDescBox">
                <h4>Dodał: Nekochan420</h4>
                <p>No konwent baza ale za mało darmowych rzeczy 0/10 Lorem ipsum dolor sit amet consectetur adipisicing elit. Sed nesciunt aperiam, nihil quae est illo, unde ea veritatis accusamus perferendis at non repellendus ab odit? Voluptatem quos provident rem ab!</p>
                <h4>Dodał: Chadgrzmihuj</h4>
                <p>Kolejkon był świetny, szkoda, że trwał tylko cztery godziny.</p>
            </div>
            <div class="rounded-md m-4 shadow-lg">
                <h4>Relacje:</h4>
                <div class="conMediaBox">
                    <div class="box">
                        <p>jakies wideo</p>
                    </div>
                    <div class="box">
                        <p>jakies wideo</p>
                    </div>
                    <div class="box">
                        <p>jakas galeria</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import apiCalls from '@/services/apiCalls.service';
import utils from '@/services/utils.service';

export default {
    data(){
        return {
            conData: {}
        }
    },
    mounted() {
        this.fetchConData()
    },
    methods: {
        fetchConData(){
            apiCalls.get(`api/v1/conventions/${this.$route.params.conId}`)
                .then(res => {
                    this.conData = res
                    document.title = `${this.conData.name} - konwenty.moe`
                })
        },
        parseDate : utils.parseDate
    }
}
</script>

<style scoped>
.conventionContainer {
    margin: 0 10%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
}
.bannerBox img {
    max-width: 100%;
}
.leftColumn {
    margin: 2rem;
    flex-grow: 0;
    max-width: 25%;
}
.rightColumn {
    margin: 2rem;
    flex-grow: 2;
    min-width: 65%;
    text-align: left;
}
.topRightColumnShortcuts {
    display: flex;
    flex-direction: row;
}
.box {
    border: 1px #000 solid;
    /* margin: 1rem;
    padding: 0 .5rem; */
}
.conMediaBox {
    display: flex;
    flex-direction: row;
}
</style>
